import { InjectionToken, OnDestroy, type QueryList } from '@angular/core';
import { Observable } from 'rxjs';
import { ErrorMessages } from './error-messages';
import { INgxMatErrorDef } from './ngx-mat-error-def.directive';
import { ErrorTemplate, NgxMatErrorControls } from './types';
import * as i0 from "@angular/core";
export declare const NGX_MAT_ERROR_DEFAULT_OPTIONS: InjectionToken<ErrorMessages | Observable<ErrorMessages>>;
export declare class NgxMatErrors implements OnDestroy {
    private readonly messages$;
    private readonly matFormField;
    private readonly controlChangedSubject;
    protected error$: Observable<ErrorTemplate>;
    protected set customErrorMessages(queryList: QueryList<INgxMatErrorDef>);
    set control(control: NgxMatErrorControls);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxMatErrors, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxMatErrors, "ngx-mat-errors, [ngx-mat-errors]", never, { "control": { "alias": "ngx-mat-errors"; "required": false; }; }, {}, ["customErrorMessages"], never, true, never>;
}
