import { type AbstractControl } from '@angular/forms';
import { type INgxMatErrorDef } from '../ngx-mat-error-def.directive';
/**
 * Find the custom error for a control.
 *
 * @returns INgxMatErrorDef | undefined
 */
export declare function findCustomErrorForControl(errorKeys: string[], customErrorMessages: INgxMatErrorDef[], control: AbstractControl): INgxMatErrorDef | undefined;
